Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 684580 (qtwebkit-removal) - [Tracker] dev-qt/qtwebkit deprecation
Summary: [Tracker] dev-qt/qtwebkit deprecation
Status: CONFIRMED
Alias: qtwebkit-removal
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL: https://qa-reports.gentoo.org/output/...
Whiteboard:
Keywords: Tracker
Depends on: 685750 709858 740416 750881 750893 750899 641966 653100 680468 682190 684672 684676 684678 684680 684772 684776 687840 687842 687844 688850 688852 689232 692728 692866 697048 709842 709844 709848 709850 709860 709862 709866 709880 712172 712174 712194 712200 712202 727326 737928 737936 737940 746596 749675 750767 750878 750884 750887 752144 753236 kde-apps-20.08.3-stable qt-5.15.2-stable 756685 757603
Blocks:
  Show dependency tree
 
Reported: 2019-04-28 11:35 UTC by Andreas Sturmlechner
Modified: 2021-01-07 10:45 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2019-04-28 11:35:53 UTC
openSUSE are doing it, we should probably too. I've begun to set it default off in my packages whenever it was the option.

Last commit in upstream repository happened 15 months ago.
Comment 1 Davide Pesavento gentoo-dev 2019-04-28 17:44:51 UTC
+1
Comment 2 Andreas Sturmlechner gentoo-dev 2019-05-04 14:46:17 UTC
In addition to $URL, packages that depend on PyQt5[webkit]:

dev-python/QtPy-1.4.0-r1[webkit]
dev-python/spyder-4.0.0_beta1[webkit]
media-sound/frescobaldi-3.0.0
media-video/openshot-2.4.0-r1
sci-mathematics/relational-2.5
sci-geosciences/qgis-3.4.7[webkit]
dev-util/eric-18.03
app-text/openlp-2.4.6
app-text/calibre-3.41.3
Comment 3 Konstantin Tokarev 2019-06-10 15:23:09 UTC
No need to hurry, new release is coming in the next few days
Comment 4 Georg Rudoy 2019-06-13 15:35:48 UTC
Are you aware of https://github.com/annulen/webkit/commits/qtwebkit-5.212 ? That's where most of effort re webkit is going right now as far as I can tell.

Also, I've chatted with an opensuse maintainer, he's not aware of any plans to ditch qtwebkit.
Comment 5 Davide Pesavento gentoo-dev 2019-06-13 19:07:37 UTC
(In reply to Georg Rudoy from comment #4)
> Are you aware of https://github.com/annulen/webkit/commits/qtwebkit-5.212 ?
> That's where most of effort re webkit is going right now as far as I can
> tell.
Yes, we're aware. That repo had been almost dead for more than a year until development restarted less than a month ago.
Comment 6 Andreas Sturmlechner gentoo-dev 2019-06-14 06:08:18 UTC
(In reply to Georg Rudoy from comment #4)
> Also, I've chatted with an opensuse maintainer, he's not aware of any plans
> to ditch qtwebkit.

They've dropped it from default installs.
Comment 7 Andreas Sturmlechner gentoo-dev 2020-10-23 13:36:59 UTC
Porting guide: https://doc.qt.io/qt-5/qtwebenginewidgets-qtwebkitportingguide.html
Comment 8 Luke-Jr 2020-10-24 03:31:57 UTC
Upstream seems relatively active these days...

"annulen Merge branch 'qtwebkit-stable' into qtwebkit-5.212 … 5a4cfb5 11 days ago"

Would be nice to get a bump to fix the build with Qt 5.15...
Comment 9 Andreas Sturmlechner gentoo-dev 2020-10-24 09:52:35 UTC
(In reply to Luke-Jr from comment #8)
> Upstream seems relatively active these days...
Years later the only release is still at alpha.

(In reply to Luke-Jr from comment #8)
> Would be nice to get a bump to fix the build with Qt 5.15...
Builds fine, not one bug recorded wrt, file one if you got one.
Comment 10 Luke-Jr 2020-10-26 17:40:18 UTC
(In reply to Andreas Sturmlechner from comment #9)
> (In reply to Luke-Jr from comment #8)
> > Upstream seems relatively active these days...
> Years later the only release is still at alpha.

Hey, I didn't say it was safe/secure, just active! :)

(QtWebEngine probably isn't either. I tracked the Magellian vulnerability for over a year, and it didn't get fixed before I gave up.)

> (In reply to Luke-Jr from comment #8)
> > Would be nice to get a bump to fix the build with Qt 5.15...
> Builds fine, not one bug recorded wrt, file one if you got one.

Still investigating nature of it. It may simply be that qtwebkit needs rebuilding after upgrading Qt. (and didn't automagically)
Comment 11 Andreas Sturmlechner gentoo-dev 2020-10-26 18:04:32 UTC
Please limit the chatter to QtWebKit, thanks.

(In reply to Luke-Jr from comment #10)
> Still investigating nature of it. It may simply be that qtwebkit needs
> rebuilding after upgrading Qt. (and didn't automagically)
This is tracked in bug 661052.
Comment 12 Luke-Jr 2020-10-26 19:17:47 UTC
(In reply to Luke-Jr from comment #10)
> > (In reply to Luke-Jr from comment #8)
> > > Would be nice to get a bump to fix the build with Qt 5.15...
> > Builds fine, not one bug recorded wrt, file one if you got one.
> Still investigating nature of it. It may simply be that qtwebkit needs
> rebuilding after upgrading Qt. (and didn't automagically)

Yes, rebuilding qtwebkit fixed it. So probably it just needs some tweak to make it automagic.
Comment 13 Larry the Git Cow gentoo-dev 2020-11-20 22:42:21 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d369a03bd098977934052a920611dd35fe91805

commit 6d369a03bd098977934052a920611dd35fe91805
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-11-20 22:37:19 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-11-20 22:42:03 +0000

    profiles: Add dev-qt/qtwebkit to package.deprecated
    
    Bug: https://bugs.gentoo.org/684580
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/package.deprecated | 4 ++++
 1 file changed, 4 insertions(+)